package com.chelvc.framework.group;

import com.chelvc.framework.base.context.SessionContextHolder;
import com.chelvc.framework.common.model.Caps;

/**
 * 分组处理器简单实现
 *
 * @author Woody
 * @date 2024/9/8
 */
public class SimpleGroupHandler implements GroupHandler {
    @Override
    public Caps execute(String scene, Object... args) {
        Long id = SessionContextHolder.getId();
        if (id == null) {
            return null;
        }
        int mod = (int) Math.abs(id % 2);
        return mod == 0 ? Caps.A : Caps.B;
    }
}
